<template>
  <q-layout view="hhh LpR fff">
    <q-header bordered>
      <q-toolbar class="justify-around">
        <q-toolbar-title
          class="text-subtitle1 text-weight-bold text-uppercase"
          shrink
        >
          Canal da Escrita
        </q-toolbar-title>

        <q-btn
          :href="ALUNO"
          target="_blank"
          type="a"
          flat
        >
          <div class="row items-center no-wrap">
            <q-icon
              name="ti-user"
              size="16px"
              left
            />

            <div class="text-center">
              Área do aluno
            </div>
          </div>
        </q-btn>
      </q-toolbar>
    </q-header>

    <q-page-container>
      <router-view
        :data="website"
        :terms="website.terms"
        :policy="website.policy"
      />
    </q-page-container>
  </q-layout>
</template>

<script>
export default {
  name: 'Main',
  asyncData: {
    websiteDefault: {},
    async website () {
      this.$q.loading.show()

      try {
        const axiosConfig = {
          method: 'GET',
          url: '/website'
        }

        return this.$axios(axiosConfig).then(R => R.data)
      } catch (err) {
        this.axiosCatch(err)

        return undefined
      } finally {
        this.$q.loading.hide()
      }
    }
  },
  data () {
    return {
      ALUNO: process.env.ALUNO
    }
  }
}
</script>
